Name:           zproxy
Version:        1.0.2
Release:        1%{?dist}
Summary:        A high-performance reverse proxy

%global commit 68dd2b406f06f62f67b3b9feb8e3aab2772c59b6
%global gittag v1.0.2
%global shortcommit %(c=%{commit}; echo ${c:0:7})

License:        AGPLv3
URL:            https://github.com/zevenet/zproxy
Source0:        https://github.com/zevenet/zproxy/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
Source1:	zproxy.service
Patch0:         zproxy-fix-missing-lz.patch
Patch1:         zproxy-fix-dhparam-path.patch

#Requires:       
BuildRequires:  gcc-c++ cmake openssl-devel zlib-devel doxygen pcre-devel
# To generate the dh2048.pem:
BuildRequires:  openssl
# For the service unit macro:
BuildRequires:  systemd
# For the tests:
# Note: we are currently skipping tests as they need network.
#BuildRequires:  git

%description
Zevenet zproxy is a high-performance multi-threaded and event-driven L7 reverse
proxy and load balancer inspired by Pound reverse proxy simplicity.

zproxy main features:

* HTTP, HTTPS handling
* Pound load balancer configuration file compatibility.
* Managed by REST API requests in JSON format.
* Load balancing algorithms: Round Robin, Least Connections, Response Time,
  Pending Connections
* Connection pinning.
* Backend output traffic marking.
* Simple HTTP Caching - WIP
* Pound control interface like binary (zproxyctl)



%prep
%autosetup -n %{name}-%{commit} -p 1


%build

mkdir build && cd build

%cmake -D BUILD_TESTS=off ..

%make_build


%install

cd build
%make_install

# Add the systemd service file
mkdir -p %{buildroot}/%{_unitdir}
cp -p %{SOURCE1}    %{buildroot}/%{_unitdir}/


%files
%license LICENSE
%doc docs/ README.md

%dir %attr(0750, root, zproxy) /etc/zproxy

   /etc/zproxy/dh2048.pem
   /usr/bin/zproxy
   /usr/bin/zproxyctl
   /usr/lib/systemd/system/zproxy.service
   /usr/share/man/man8/zproxy.8.gz
   /usr/share/man/man8/zproxyctl.8.gz

   #/usr/lib/debug/usr/bin/zproxy-1.0.2-1.fc30.x86_64.debug
   #/usr/lib/debug/usr/bin/zproxyctl-1.0.2-1.fc30.x86_64.debug


%changelog
* Thu Nov  7 2019 Bussi Andrea <btabta at gmail.com> - 1.0.2-1
- Initial version
- 
